(* Title:  test/../test-depend/Build_Test.thy
   Author: Walther Neuper 110320
   (c) copyright due to lincense terms.
*)

header {* file dependencies according to Test_Isac.thy *}

theory Build_Test 
imports Main "testdir1/testdir1" "testdirm/testdirm"
begin

  text {* jedit and emacs treat file dependencies differently.
          The files in test-depend/ mimic Test_Isac.thy.
          Tests are independent by all importing Main.
          We have this directory/file structure:
  testdir1/testdir1.thy      collects all testfiles in testdir1
           testfile-1-1.sml
           testfile-1-n.sml
  testdirm/testdirm.thy      collects all testfiles in testdirm
           testfile-m-1.sml
           testfile-m-n.sml
  *}
  ML {*"=== test-depend/Build_test.thy =================="*}

end
