(* Title:  testexamples for RootRat.thy
   Author: Walther Neuper 2011
   (c) due to copyright terms
*)
"-----------------------------------------------------------------";
"table of contents -----------------------------------------------";
"-----------------------------------------------------------------";
"----------- val rls = calculate_RootRat > calculate_Rational ----";
"-----------------------------------------------------------------";
"-----------------------------------------------------------------";
"-----------------------------------------------------------------";


"----------- val rls = calculate_RootRat > calculate_Rational ----";
"----------- val rls = calculate_RootRat > calculate_Rational ----";
"----------- val rls = calculate_RootRat > calculate_Rational ----";
(*val calculate_RootRat = 
    append_rls "calculate_RootRat" calculate_Rational [...]
  val calculate_Rational = prep_rls (merge_rls "calculate_Rational" [...]
	    calculate_Poly
  val calculate_Poly =
    append_rls "calculate_PolyFIXXXME.not.impl." e_rls [];
    WN111014.TODO calculate_Poly < calculate_Rational < calculate_RootRat
*)

val thy = @{theory RootRat};
val ctxt = Proof_Context.init_global thy;
val ttt = (the o (parseNEW  ctxt)) ("-1 * x = - (2 / 2) + sqrt ((2 / 2) ^^^ 2 - -8) |"^
                          "\nx = -1 * (- (2 / 2) + -1 * sqrt ((2 / 2) ^^^ 2 - -8))");
atomty t; (*!real ?by sqrt and ^^^?*)

"--- val rls = calculate_Poly ---";
(*val rls = assoc_rls "calculate_Poly"; WAS ME_Isa: 'calculate_Poly' not in system
GOON with what just started ...*)
val calculate_Poly = append_rls "calculate_Poly" e_rls
	  [ Calc ("Groups.plus_class.plus",eval_binop "#add_"),
		    Calc ("Groups.minus_class.minus",eval_binop "#sub_"),
		    Calc ("Groups.times_class.times",eval_binop "#mult_"),
		    Calc ("Atools.pow" ,eval_binop "#power_")
  ];
val rls = calculate_Poly;

(*val SOME (t,asm) = rewrite_set_ thy true rls ttt; WAS: NONE .. ok*)

"--- val rls = calculate_Rational ---";
val rls = assoc_rls "calculate_Rational";
val rls = calculate_Rational;

val SOME (t,asm) = rewrite_set_ thy true rls ttt;
if term2str t =
"-1 * x = -1 + sqrt (2 ^^^ 2 / 2 ^^^ 2 - -8) |\nx = -1 * (-1 + -1 * sqrt (2 ^^^ 2 / 2 ^^^ 2 - -8))"
(*"-1 * x = -1 + sqrt (1 ^^^ 2 - -8) | x = -1 * (-1 + -1 * sqrt (1 ^^^ 2 - -8))"*)
then () else error "val rls = calculate_Rational GOON";

"--- val rls = calculate_RootRat ---";
val rls = assoc_rls "calculate_RootRat";
val rls = calculate_RootRat;

val SOME (t,asm) = rewrite_set_ thy true rls ttt;

(*~~~~~ val rls = calculate_RootRat: rewrite stepwise*)
val thm = num_str @{thm complete_square2};

