(* Title:  000-comments.sml
   Author: Walther Neuper 1105
   (c) copyright due to lincense terms.
*)

(* The tests in this directory use one specific example exclusively.
  The example uses data specifically defined in Test.thy exclusively.
  The example covers the essential features of isac's mathengine.
  Each test is kept in a separate file.
  The order of the files reflects the sequence of work done by the mathengine.
  Testruns showing errors on files indicate roughly the points of failure.

  The sequence is diveded into the following groups:
  100  initialisation of the rootproblem and specify phase
  200  start and execute the method of the rootproblem
  300  initialisation of a subproblem from script and specify phase
  400  start and execute the method of the subproblem
    490  last step of execution with next step Check_Postcond
  500  shift interpretation from sub-method to root-method
    550  found error in Check_Elementwise Assumptions
  600  check postconditions of subproblem and rootproblem
*)
