(*  Title:   ~~~/isac/smltest/Pure/General/Basics.thy
    Author: Walther Neuper, TU Graz, 101027
*)

header {* testing combinators from src/Pure/General/basics *}

theory Basics
imports Complex_Main
begin

ML {* op |> ;
  1 |> (fn x => x + 10)
    |> (fn x => 2 * x);
(*val it = 22 : int*)
*}

ML {* op |-> ;
  fun ff c a = a + c;
  (10, 1) |-> ff
(*val it = 11 : int*)
*}

ML {* op |>> ;
  (1, "a") |>> (fn x => x + 10)
(*val it = (11, "a") : int * string*)
*}

ML {* op ||> ;
  ("a", 1) ||> (fn x => x + 10)
(*val it = ("a", 11) : string * int*)
*}

ML {*
  op ||>>;
  (444, 2) ||>> (fn e => (e * 3, e + 5));
  (*val it = ((7, 2), 4): (int * int) * int*)
*}

ML {*
  op #>;
  ((fn a => a + 10) #> (fn a => a + 5)) 3;
  (*val it = 18: int*)
*}

ML {*
  op #->;
  fun ff c a = a + c;
  ((fn e => (e * 2, e + 99))  #-> ff) 50;
  (*val it = 249: int*)
*}

ML {*
  op #>>;
  fun fff a = (a + 10, string_of_int a);
  fun ggg b = b * 2;
  fff #>> ggg;
  (fff #>> ggg) 1;
  (*val it = (22, "1"): int * string*)
*}

ML {*
  op ##>;
  ((fn e => (e * 3, e + 4)) ##> (fn a => a + 5)) 6;
  (*val it = (18, 15): int * int*)
*}

ML {*
  op ##>>;
  ((fn e => (e * 2, e + 3)) ##>> (fn u => (u * 4, u + 5))) 6;
  (*val it = ((12, 36), 14): (int * int) * int*)
*}

end

