(* Title: test for rewtools.sml
   authors: Walther Neuper 2000, 2006

theory Test_Some imports Build_Thydata begin 
ML_file "~~/test/Tools/isac/ADDTESTS/accumulate-val/lucas_interpreter.sml"
ML {* KEStore_Elems.set_ref_thy @{theory};
  fun autoCalculate' cI auto = autoCalculate cI auto |> Future.join *}
ML_file "Interpret/rewtools.sml"
*)

"--------------------------------------------------------";
"--------------------------------------------------------";
"table of contents --------------------------------------";
"--------------------------------------------------------";
"----------- fun thy_containing_rls ---------------------";
"----------- fun thy_containing_cal ---------------------";
"----------- initContext Thy_ Integration-demo ----------";
"----------- initContext..Thy_, fun context_thm ---------";
"----------- initContext..Thy_, fun context_rls ---------";
"----------- checkContext..Thy_, fun context_thy --------";
"----------- checkContext..Thy_, fun context_rls --------";
"----------- checkContext..Thy_ on last formula ---------"; 
"----------- fun guh2theID ------------------------------";
"----------- debugging on Tests/solve_linear_as_rootpbl -";
"--------------------------------------------------------";
(*============ inhibit exn WN120321 ==============================================
"----------- fun string_of_thmI for_[.]_) ---------------";
"----------- (sym_real_minus_eq_cancel, (?b1 = ?a1) ..._[";
"--------------------------------------------------------";
"----------- fun filter_appl_rews -----------------------";
============ inhibit exn WN120321 ==============================================*)
"----------- fun is_contained_in ------------------------";
"----------- build fun get_bdv_subst --------------------------------";
"--------------------------------------------------------";
"--------------------------------------------------------";

"----------- fun thy_containing_rls ---------------------";
"----------- fun thy_containing_rls ---------------------";
"----------- fun thy_containing_rls ---------------------";
if thy_containing_rls "Biegelinie" "norm_Poly" = ("IsacKnowledge", "Poly") then ()
else error ("thy_containing_rls changed for 'Biegelinie', 'norm_Poly'")
;
if thy_containing_rls "Biegelinie" "e_rls" = ("IsacScripts", "KEStore") then ()
else error ("thy_containing_rls changed for 'Biegelinie', 'e_rls'")
;
if thy_containing_rls "Build_Thydata" "list_rls" = (*FIXME: handle redifinition in several thys*)
  ("IsacScripts", "Tools") then ()
else error ("thy_containing_rls changed for 'Biegelinie', 'list_rls'")
;
if thy_containing_rls "Biegelinie" "list_rls" =    (*FIXME: handle redifinition in several thys*)
  ("IsacKnowledge", "Atools") then ()
else error ("thy_containing_rls changed for 'Biegelinie', 'list_rls'")

"----------- fun thy_containing_cal ---------------------";
"----------- fun thy_containing_cal ---------------------";
"----------- fun thy_containing_cal ---------------------";
(* ATTENTION: both, "IsacKnowledge" and "Atools" are fixed as results for any input*)
if thy_containing_cal "Biegelinie" "PLUS" = ("IsacKnowledge", "Atools")
then () else error "(wrong) thy_containing_cal 'Biegelinie' 'PLUS' changed"

"----------- initContext Thy_ Integration-demo ----------";
"----------- initContext Thy_ Integration-demo ----------";
"----------- initContext Thy_ Integration-demo ----------";
reset_states ();
CalcTree
[(["functionTerm (2 * x)","integrateBy x","antiDerivative FF"], 
  ("Integrate",["integrate","function"],
  ["diff","integration"]))];
Iterator 1;
moveActiveRoot 1;
autoCalculate' 1 CompleteCalc;
interSteps 1 ([1],Res);
interSteps 1 ([1,1],Res);
val ((pt,p),_) = get_calc 1; show_pt pt;
if existpt' ([1,1,1], Frm) pt then ()
else error "integrate.sml: interSteps on Rewrite_Set_Inst 1";
initContext  1 Thy_ ([1,1,1], Frm);

"----------- initContext..Thy_, fun context_thm ---------";
"----------- initContext..Thy_, fun context_thm ---------";
"----------- initContext..Thy_, fun context_thm ---------";
reset_states (); (*start of calculation, return No.1*)
CalcTree [(["equality (x+1=(2::real))", "solveFor x","solutions L"], 
  ("Test", ["sqroot-test","univariate","equation","test"],
   ["Test","squ-equ-test-subpbl1"]))];
Iterator 1; moveActiveRoot 1;
autoCalculate' 1 CompleteCalc;

"----- no thy-context at result -----";
val p = ([], Res);
initContext 1 Thy_ p;
val ((pt,_),_) = get_calc 1; show_pt pt; (* 11 lines with subpbl *)

interSteps 1 ([2], Res);
val ((pt,_),_) = get_calc 1; show_pt pt; (* added [2,1]..[2,6] *)
interSteps 1 ([3,1], Res);
val ((pt,_),_) = get_calc 1; show_pt pt; (* added [3,1,1] Frm + Res *)

val p = ([2,4], Res);
"~~~~~ fun initContext, args:"; val ((cI:calcID), Thy_, (pos as (p,p_):pos')) = (1, Thy_, p);
  member op = [Pbl,Met] p_ = false;
  pos = ([],Res) = false;
  val cs as (ptp as (pt,_),_) = get_calc cI;
  exist_lev_on' pt pos = true;
              val pos' = lev_on' pt pos
              val tac = get_tac_checked pt pos';
  is_rewtac tac = true;
"~~~~~ fun context_thy, args:"; val ((pt, pos as (p,p_)), (tac as Rewrite (thmID,_))) =
  ((pt, pos), tac);
    val Appl (Rewrite' (thy', ord', erls, _, (thmID,thm), f, (res,asm))) = applicable_in pos pt tac
            val thm = Global_Theory.get_thm (Isac ()(*WN141021 assoc_thy thy' ERROR*)) thmID
            val thm_deriv = Thm.get_name_hint thm;

if thm2guh (thy_containing_thm thm_deriv) (thmID_of_derivation_name thm_deriv)
   = "thy_isac_Test-thm-radd_left_commute" then ()
else error "context_thy mini-subpbl ([2,4], Res) changed";
(*~/proto3/kbase/thy$ ls -l thy_isac_Test-thm-radd_left_commute*
-rw-rw-r-- 1 wneuper wneuper 638 Aug  8 16:04 thy_isac_Test-thm-radd_left_commute.html*)


val p = ([3,1,1], Frm);
"~~~~~ fun initContext, args:"; val ((cI:calcID), Thy_, (pos as (p,p_):pos')) = (1, Thy_, p);
  member op = [Pbl,Met] p_ = false;
  pos = ([],Res) = false;
  val cs as (ptp as (pt,_),_) = get_calc cI;
  exist_lev_on' pt pos = true;
              val pos' = lev_on' pt pos
              val tac = get_tac_checked pt pos';
  is_rewtac tac = true;
"~~~~~ fun context_thy, args:"; val ((pt, pos as (p,p_)), (tac as Rewrite_Inst (subs, (thmID,_))))=
  ((pt, pos), tac);
val Appl (Rewrite_Inst' (thy', ord', erls, _, subst, (thmID,_), f, (res, asm))) = 
  applicable_in pos pt tac
             val thm = Global_Theory.get_thm (Isac ()(*WN141021 assoc_thy thy' ERROR*)) thmID
             val thm_deriv = Thm.get_name_hint thm;
if thm2guh (thy_containing_thm thm_deriv) (thmID_of_derivation_name thm_deriv) =
  "thy_isac_Test-thm-risolate_bdv_add" then ()
else error "context_thy mini-subpbl ([3,1,1], Frm) changed";
(*~/proto3/kbase/thy$ ls -l thy_isac_Test-thm-risolate_bdv_add*
-rw-rw-r-- 1 wneuper wneuper 646 Aug  8 16:04 thy_isac_Test-thm-risolate_bdv_add.html*)


val p = ([2,5], Res);
"~~~~~ fun initContext, args:"; val ((cI:calcID), Thy_, (pos as (p,p_):pos')) = (1, Thy_, p);
  member op = [Pbl,Met] p_ = false;
  pos = ([],Res) = false;
  val cs as (ptp as (pt,_),_) = get_calc cI;
 exist_lev_on' pt pos = true;
              val pos' = lev_on' pt pos
              val tac = get_tac_checked pt pos';
if is_rewtac tac = false then () 
else error "initContext: context_thy .. Calculate PLUS .. TO BE IMPLEMENTED"

"----------- initContext..Thy_, fun context_rls ---------";
"----------- initContext..Thy_, fun context_rls ---------";
"----------- initContext..Thy_, fun context_rls ---------";
(*using pt from above*)
val p = ([1], Res);
val tac = Rewrite_Set "Test_simplify";
initContext 1 Thy_ p;
(*Res->Res, Rewrite_Set "Test_simplify" x + 1 + -1 * 2 = 0 -> -1 + x = 0
  --- in initContext..Thy_ ---*)
val ContRls {rls,result,...} = context_thy (pt,p) tac;
if rls = "thy_isac_Test-rls-Test_simplify" 
   andalso term2str result = "-1 + x = 0" then ()
else error "rewtools.sml initContext..Th_ thy_isac_Test-rls-Test_simplify";

val p = ([3,1], Frm);
val tac = Rewrite_Set_Inst (["(bdv, x)"],"isolate_bdv");
initContext 1 Thy_ p;
(*Frm->Res, Rewrite_Set_Inst "isolate_bdv" -1 + x = 0 ->  x = 0 + -1 * -1
  --- in initContext..Thy_ ---*)
val ContRlsInst {rls,result,...} = context_thy (pt,p) tac;
if rls =  "thy_isac_Test-rls-isolate_bdv"
   andalso term2str result = "x = 0 + -1 * -1" then ()
else error "rewtools.sml initContext..Th_ thy_Test-thm-risolate_bdv_add";

"----------- checkContext..Thy_, fun context_thy --------";
"----------- checkContext..Thy_, fun context_thy --------";
"----------- checkContext..Thy_, fun context_thy --------";
(*using pt from above*)
val p = ([2,4], Res);
val tac = Rewrite ("radd_left_commute","");
checkContext 1 p "thy_Test-thm-radd_left_commute";
(* radd_left_commute: 1 + (-2 + x) = 0 -> -2 + (1 + x) = 0
  --- in checkContext..Thy_ ---*)
val ContThm {thm,result,...} = context_thy (pt,p) tac;
if thm =  "thy_isac_Test-thm-radd_left_commute"
   andalso term2str result = "-2 + (1 + x) = 0" then ()
else error "rewtools.sml checkContext.._ thy_Test-thm-radd_left_commute";

val p = ([3,1,1], Frm);
val tac = Rewrite_Inst (["(bdv,x)"],("risolate_bdv_add",""));
checkContext 1 p "thy_Test-thm-risolate_bdv_add";
(* risolate_bdv_add:  -1 + x = 0 -> x = 0 + -1 * -1
  --- in checkContext..Thy_ ---*)
val ContThmInst {thm,result,...} = context_thy (pt,p) tac;
if thm =  "thy_isac_Test-thm-risolate_bdv_add"
   andalso term2str result = "x = 0 + -1 * -1" then ()
else error "rewtools.sml checkContext..T_ thy_Test-thm-risolate_bdv_add";

val p = ([2,5], Res);
val tac = Calculate "plus";
(*checkContext..Thy_ 1 ([2,5], Res);*)
(*FIXXXME #######################vvvvv kestoreID !!!!!!!!!!!!!!!!*)
checkContext 1 p ;
(* Calculate "plus"  -2 + (1 + x) = 0 -> -1 + x = 0
  --- in checkContext..Thy_ ---*)

"----------- checkContext..Thy_, fun context_rls --------";
"----------- checkContext..Thy_, fun context_rls --------";
"----------- checkContext..Thy_, fun context_rls --------";
(*using pt from above*)
val p = ([1], Res);
val tac = Rewrite_Set "Test_simplify";
checkContext 1 p "thy_isac_Test-rls-Test_simplify";
(*Res->Res, Rewrite_Set "Test_simplify" x + 1 + -1 * 2 = 0 -> -1 + x = 0
  --- in checkContext..Thy_ ---*)
val ContRls {rls,result,...} = context_thy (pt,p) tac;
if rls = "thy_isac_Test-rls-Test_simplify" 
   andalso term2str result = "-1 + x = 0" then ()
else error "rewtools.sml checkContext..Thy_ thy_Test-rls-Test_simplify";

val p = ([3,1], Frm);
val tac = Rewrite_Set_Inst (["(bdv, x)"],"isolate_bdv");
checkContext 1 p "thy_Test-rls-isolate_bdv";
val ContRlsInst {rls,result,...} = context_thy (pt,p) tac;
if rls = "thy_isac_Test-rls-isolate_bdv" 
   andalso term2str result = "x = 0 + -1 * -1" then ()
else error "rewtools.sml checkContext..Thy_ thy_Test-thm-isolate_bdv";

"----------- checkContext..Thy_ on last formula ---------"; 
"----------- checkContext..Thy_ on last formula ---------"; 
"----------- checkContext..Thy_ on last formula ---------"; 
reset_states (); (*start of calculation, return No.1*)
CalcTree [(["equality (x+1=(2::real))", "solveFor x","solutions L"], 
  ("Test", ["sqroot-test","univariate","equation","test"],
   ["Test","squ-equ-test-subpbl1"]))];
Iterator 1; moveActiveRoot 1;

autoCalculate' 1 CompleteCalcHead;
autoCalculate' 1 (Step 1);
val (ptp as (pt,p), tacis) = get_calc 1; show_pt pt;
initContext 1 Thy_ ([1], Frm);
checkContext 1 ([1], Frm) "thy_isac_Test-thm-radd_left_commute";

autoCalculate' 1 (Step 1);
val (ptp as (pt,p), tacis) = get_calc 1; show_pt pt;
initContext 1 Thy_ ([1], Res);
checkContext 1 ([1], Res) "thy_isac_Test-rls-Test_simplify";

"----------- fun guh2theID ------------------------------";
"----------- fun guh2theID ------------------------------";
"----------- fun guh2theID ------------------------------";
val guh = "thy_scri_ListG-thm-zip_Nil";
default_print_depth 3; (*999*)
take_fromto 1 4 (Symbol.explode guh);
take_fromto 5 9 (Symbol.explode guh);
val rest = takerest (9,(Symbol.explode guh)); 

separate "-" rest;
space_implode "-" rest;
commas rest;

val delim = "-";
val thyID = takewhile [] (not o (curry op= delim)) rest;
val rest' = dropuntil (curry op= delim) rest;
val setc = take_fromto 1 5 rest';
val xstr = takerest (5, rest');

if guh2theID guh = ["IsacScripts", "ListG", "Theorems", "zip_Nil"] then ()
else error "rewtools.sml: guh2theID thy_scri_ListG-thm-zip_Nil changed";


"----------- debugging on Tests/solve_linear_as_rootpbl -";
"----------- debugging on Tests/solve_linear_as_rootpbl -";
"----------- debugging on Tests/solve_linear_as_rootpbl -";
"----- initContext -----";
reset_states ();
CalcTree 
    [(["equality (1+-1*2+x=(0::real))", "solveFor x", "solutions L"],
      ("Test",
       ["LINEAR","univariate","equation","test"],
       ["Test","solve_linear"]))];
Iterator 1; moveActiveRoot 1;
autoCalculate' 1 CompleteCalcHead;

autoCalculate' 1 (Step 1); val (ptp as (pt,p), tacis) = get_calc 1; show_pt pt;
if is_curr_endof_calc pt ([1],Frm) then ()
else error "rewtools.sml is_curr_endof_calc ([1],Frm)";

autoCalculate' 1 (Step 1); val (ptp as (pt,p), tacis) = get_calc 1; show_pt pt;

if not (is_curr_endof_calc pt ([1],Frm)) then ()
else error "rewtools.sml is_curr_endof_calc ([1],Frm) not";
if is_curr_endof_calc pt ([1],Res) then ()
else error "rewtools.sml is_curr_endof_calc ([1],Res)";

initContext 1 Thy_ ([1],Res);

"----- checkContext -----";
reset_states ();
CalcTree 
    [(["equality (1+-1*2+x=(0::real))", "solveFor x", "solutions L"],
      ("Test",
       ["LINEAR","univariate","equation","test"],
       ["Test","solve_linear"]))];
Iterator 1; moveActiveRoot 1;
autoCalculate' 1 CompleteCalc;
interSteps 1 ([1],Res);

val (ptp as (pt,p), tacis) = get_calc 1; show_pt pt;
checkContext 1 ([1],Res) "thy_isac_Test-rls-Test_simplify";

interSteps 1 ([2],Res);
val (ptp as (pt,p), tacis) = get_calc 1; show_pt pt;

checkContext 1 ([2,1],Res) "thy_isac_Test-rls-Test_simplify";
checkContext 1 ([2,2],Res) "thy_isac_Test-rls-Test_simplify";


"----------- fun string_of_thmI for_[.]_) ---------------";
"----------- fun string_of_thmI for_[.]_) ---------------";
"----------- fun string_of_thmI for_[.]_) ---------------";
"----- these work ?!?";
(*========== inhibit exn 110718 ================================================
(* ERROR: constructor real_minus_eq_cancel has not been declared *)
val th = sym_thm real_minus_eq_cancel;
val Th = sym_Thm (Thm ("real_minus_eq_cancel", real_minus_eq_cancel));
val th'= mk_thm ( @{theory "Isac"} ) ((de_quote o string_of_thm) real_minus_eq_cancel);
val th'= mk_thm Biegelinie.thy((de_quote o string_of_thm) real_minus_eq_cancel);

"----- DIFFERENCE TO ABOVE ?!?: this is still ok, when called in next_tac...";
val ((pt,(p,p_)), _) = get_calc 1; show_pt pt;
val Appl (Rewrite' (_,_,_,_,thm',_,_)) =
    applicable_in (p,p_) pt (Rewrite ("sym_real_minus_eq_cancel",""));
"- compose stac as done in | appy (*leaf*) by handle_leaf";

val (th, sr, E, a, v, t) = 
    ("Biegelinie", 
     (#srls o get_met) ["IntegrierenUndKonstanteBestimmen"],
     [(str2term "q__::bool", str2term "q x = q_0")], 
     SOME (str2term "q x = q_0"),
     str2term "q__::bool", 
     str2term "(Rewrite sym_real_minus_eq_cancel False) (q__::bool)");
val (a', STac stac) = handle_leaf "next  " th sr E a v t;
term2str stac;
"--- but this \"m\" is already corrupted";
val (m,_) = stac2tac_ EmptyPtree (assoc_thy th) stac;
"- because in assoc_thm'...";
val (thy, (thmid, ct')) = (Biegelinie.thy, ("sym_real_minus_eq_cancel",""));
val "s"::"y"::"m"::"_"::id = explode thmid;
((num_str o (get_thm thy)) (implode id)) RS sym;
((get_thm thy) (implode id)) RS sym;
"... this creates [.]";
((get_thm thy) (implode id));
"... while this has _NO_ [.]";

"----- thus we repair the [.] in string_of_thmI...";
val thm = ((num_str o (get_thm thy)) (implode id)) RS sym;
if string_of_thmI thm = "(?b1 = ?a1) = (- ?b1 = - ?a1)" then ()
else error ("rewtools.sml: string_of_thmI " ^ string_of_thm thm ^
		  " = " ^ string_of_thmI thm);
========== inhibit exn 110718 ================================================*)

"----------- (sym_real_minus_eq_cancel, (?b1 = ?a1) ..._[";
"----------- (sym_real_minus_eq_cancel, (?b1 = ?a1) ..._[";
"----------- (sym_real_minus_eq_cancel, (?b1 = ?a1) ..._[";
reset_states ();
CalcTree [(["Traegerlaenge L","Streckenlast q_0","Biegelinie y",
	     "RandbedingungenBiegung [y 0 = 0, y L = 0]",
	     "RandbedingungenMoment [M_b 0 = 0, M_b L = 0]",
	     "FunktionsVariable x"],
	    ("Biegelinie",
	     ["MomentBestimmte","Biegelinien"],
	     ["IntegrierenUndKonstanteBestimmen"]))];
moveActiveRoot 1;
autoCalculate' 1 CompleteCalcHead;
autoCalculate' 1 (Step 1) (*Apply_Method*);
autoCalculate' 1 (Step 1) (*->GENERATED ([1], Frm)*);
(*========== inhibit exn 110718 ================================================

"--- this was corrupted before 'fun string_of_thmI'";
val ((pt,(p,p_)), _) = get_calc 1; show_pt pt;
if get_obj g_tac pt p = Rewrite ("sym_real_minus_eq_cancel", 
				 "(?b1 = ?a1) = (- ?b1 = - ?a1)") then ()
else error "rewtools.sml: string_of_thmI ?!?";

getTactic 1 ([1],Frm);
"----------- fun filter_appl_rews -----------------------";
"----------- fun filter_appl_rews -----------------------";
"----------- fun filter_appl_rews -----------------------";
val f = str2term "a + z + 2*a + 3*z + 5 + 6";
val thy = assoc_thy "Isac";
val subst = [(*TODO.WN071231 test Rewrite_Inst*)];
val rls = Test_simplify;
(* val rls = rls_p_33;      filter_appl_rews  ---> length 2
   val rls = norm_Poly;     filter_appl_rews  ---> length 1
   *)
if filter_appl_rews thy subst f rls =
   [Rewrite ("radd_commute", "?m + ?n = ?n + ?m"),
    Rewrite ("radd_assoc", "?m + ?n + ?k = ?m + (?n + ?k)"),
    Calculate "plus"] then () 
else error "rewtools.sml filter_appl_rews a + z + 2*a + 3*z + 5 + 6";
============ inhibit exn 110718 ==============================================*)


"----------- fun is_contained_in ------------------------";
"----------- fun is_contained_in ------------------------";
"----------- fun is_contained_in ------------------------";
val r1 = Thm ("real_diff_minus",num_str @{thm real_diff_minus});
if contains_rule r1 Test_simplify then ()
else error "rewtools.sml contains_rule Thm";

val r1 = Calc ("Groups.plus_class.plus", eval_binop "#add_");
if contains_rule r1 Test_simplify then ()
else error "rewtools.sml contains_rule Calc";

val r1 = Calc ("Groups.minus_class.minus", eval_binop "#add_");
if not (contains_rule r1 Test_simplify) then ()
else error "rewtools.sml contains_rule Calc";

"----------- build fun get_bdv_subst --------------------------------";
"----------- build fun get_bdv_subst --------------------------------";
"----------- build fun get_bdv_subst --------------------------------";
val {scr = Prog prog, ...} = get_met ["diff", "differentiate_on_R"];
val env = [(str2term "v_v", str2term "x")];
subst2str env = "[\"\n(v_v, x)\"]";

"~~~~~ fun get_bdv_subst, args:"; val (prog, env) = (prog, env);
    fun scan (Const _) = NONE
      | scan (Free _) = NONE
      | scan (Var _) = NONE
      | scan (Bound _) = NONE
      | scan (t as Const ("List.list.Cons", _) $
         (Const ("Product_Type.Pair", _) $ Free (str, _) $ _) $ _) =
           if is_bdv_subst t then SOME t else NONE
      | scan (Abs (_, _, body)) = scan body
      | scan (t1 $ t2) =
          case scan t1 of
            NONE => scan t2
          | SOME subst => SOME subst

val SOME tm = scan prog;
val subst = tm |> subst_atomic env |> isalist2list |> map isapair2pair: subst;
if term2str tm = "[(bdv, v_v)]" then () else error "get_bdv_subst changed 1";

if subst2subs subst = ["(bdv, x)"] then () else error "get_bdv_subst changed 2";

case get_bdv_subst prog env of
  (SOME ["(bdv, x)"], [(Free ("bdv", _), Free ("x", _))]: subst) => ()
| _ => error "get_bdv_subst changed 3";

val (SOME subs, _) = get_bdv_subst prog env;
Rewrite_Inst (subs, ("diff_sin_chain","")) (*<<<----- this is the intended usage*)

